﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using RepositoryPattern.Data;

namespace RepositoryPattern.Migrations
{
    [DbContext(typeof(SchoolDbContext))]
    [Migration("20200831064054_InitialCreate")]
    partial class InitialCreate
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "3.1.7")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("RepositoryPattern.Models.Professor", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<DateTime>("Dob")
                        .HasColumnType("datetime2");

                    b.Property<string>("Name")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Position")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id");

                    b.ToTable("Professor");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Dob = new DateTime(2020, 8, 30, 8, 40, 53, 649, DateTimeKind.Local).AddTicks(2194),
                            Name = "Nicholas Lennox",
                            Position = "Scuffed Lecturer"
                        },
                        new
                        {
                            Id = 2,
                            Dob = new DateTime(1993, 4, 15, 8, 40, 53, 653, DateTimeKind.Local).AddTicks(3772),
                            Name = "Dewald Els",
                            Position = "Front end chap"
                        },
                        new
                        {
                            Id = 3,
                            Dob = new DateTime(1993, 4, 14, 8, 40, 53, 653, DateTimeKind.Local).AddTicks(3918),
                            Name = "Craig Marias",
                            Position = "Stuck in Sweden"
                        });
                });

            modelBuilder.Entity("RepositoryPattern.Models.Student", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Course")
                        .HasColumnType("nvarchar(max)");

                    b.Property<DateTime>("Dob")
                        .HasColumnType("datetime2");

                    b.Property<string>("Name")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int>("ProfessorId")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.HasIndex("ProfessorId");

                    b.ToTable("Student");

                    b.HasData(
                        new
                        {
                            Id = 1,
                            Course = "Red pill vs blue pill",
                            Dob = new DateTime(1999, 8, 31, 8, 40, 53, 653, DateTimeKind.Local).AddTicks(6559),
                            Name = "Mr Anderson",
                            ProfessorId = 1
                        },
                        new
                        {
                            Id = 2,
                            Course = "Being the boss and other joys",
                            Dob = new DateTime(1979, 8, 31, 8, 40, 53, 653, DateTimeKind.Local).AddTicks(7369),
                            Name = "Erlend",
                            ProfessorId = 3
                        });
                });

            modelBuilder.Entity("RepositoryPattern.Models.Student", b =>
                {
                    b.HasOne("RepositoryPattern.Models.Professor", "Professor")
                        .WithMany("Students")
                        .HasForeignKey("ProfessorId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });
#pragma warning restore 612, 618
        }
    }
}
